Bug 22926 - problems with xfs _FontTrans
Summary: problems with xfs _FontTrans
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86   
(Show other bugs)
Version: 6.2
Hardware: i586 Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-12-28 03:59 UTC by daz7997
Modified: 2007-04-18 16:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-01 21:27:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description daz7997 2000-12-28 03:59:58 UTC
xfs seems to start correctly during init sequence, but by the time the
machine gets to the end of booting to runlevel 5, xfs is dead, with a lock
file still hanging around.  In the boot log, there is an error:

_FontTransSocketINETCreateListener: Unable to get service for -1
_FontTransMakeAllCOTSServerListeners: failed to create listener for tcp

and messages that xfs has shutdown successfully after that.  Does xfs try
to get something via TCP, can't find it, then kills itself and leaves it's
carcass in /var/lock/subsys?

Thanks.

Comment 1 Bill Nottingham 2000-12-28 16:02:43 UTC
Is this using the X that shipped with 6.2, or did you install different
binaries?

The XFree86 packages that shipped with 6.2 have important patches
for the font server that may not exist in other packagings...

Comment 2 daz7997 2000-12-28 20:12:18 UTC
This is X that came with 6.2 yes.  It was running fine for a while, then I tried
to install some new fonts, accidentally deleted the old ones, then I removed all
the fonts, and re-installed them all again from the 6.2 install CD.

Was there a special file in the fonts directories that xfs needs?  Can I
recreate it?  Is this a dead end?

Comment 3 Mike A. Harris 2001-03-17 19:23:23 UTC
Use mkfontdir in the font directories to recreate any fonts.dir files.



Note You need to log in before you can comment on or make changes to this bug.